org.apache.olingo.ext.pojogen

## Class V4POJOGenMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.olingo.ext.pojogen.AbstractPOJOGenMojo
    - - org.apache.olingo.ext.pojogen.V4POJOGenMojo

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      @Mojo(name="v4pojoGen",
            defaultPhase=PROCESS_SOURCES)
      public class V4POJOGenMojo
      extends AbstractPOJOGenMojo

  POJOs generator.

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.ext.pojogen.AbstractPOJOGenMojo

      `basePackage, localEdm, namespaces, outputDirectory, serviceRootURL, TOOL_DIR, utility`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `V4POJOGenMojo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createUtility(Edm edm, EdmSchema schema, String basePackage)`
    `protected ODataClient` | `getClient()`
    `protected V4Utility` | `getUtility()`
    `protected String` | `getVersion()`

    - ### Methods inherited from class org.apache.olingo.ext.pojogen.AbstractPOJOGenMojo

      `execute, mkdir, mkPkgDir, newContext, parseObj, parseObj, parseObj, writeFile`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### V4POJOGenMojo

          public V4POJOGenMojo()

  - ### Method Detail

    - #### createUtility

          protected void createUtility(Edm edm,
                                       EdmSchema schema,
                                       String basePackage)

      Specified by:
        `createUtility` in class `AbstractPOJOGenMojo`

    - #### getUtility

          protected V4Utility getUtility()

      Specified by:
        `getUtility` in class `AbstractPOJOGenMojo`

    - #### getVersion

          protected String getVersion()

      Specified by:
        `getVersion` in class `AbstractPOJOGenMojo`

    - #### getClient

          protected ODataClient getClient()

      Specified by:
        `getClient` in class `AbstractPOJOGenMojo`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.